Botan 1.10.17

Public Member Functions | Protected Member Functions | List of all members
Botan::EMSA1 Class Reference

`#include <emsa1.h>`

Inheritance diagram for Botan::EMSA1:

## Public Member Functions
| EMSA1 (HashFunction *h)
| ~EMSA1 ()

## Protected Member Functions
const HashFunction * | hash_ptr () const

## Detailed Description

EMSA1 from IEEE 1363 Essentially, sign the hash directly

Definition at line 20 of file emsa1.h.

## Constructor & Destructor Documentation

## ◆ EMSA1()

Botan::EMSA1::EMSA1 | ( | HashFunction * | h | ) |
| inline

Parameters

  h | the hash object to use

Definition at line 26 of file emsa1.h.

26 : hash(h) {}

## ◆ ~EMSA1()

Botan::EMSA1::~EMSA1 | ( |  | ) |
| inline

Definition at line 27 of file emsa1.h.

27 { delete hash; }

## Member Function Documentation

## ◆ hash_ptr()

const HashFunction* Botan::EMSA1::hash_ptr | ( |  | ) | const
| inline protected

Returns
  const pointer to the underlying hash

Definition at line 32 of file emsa1.h.

32 { return hash; }

The documentation for this class was generated from the following files:

- src/pk_pad/emsa1/emsa1.h
- src/pk_pad/emsa1/emsa1.cpp